[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# IsEmptyStr

Check whether a string is empty, disregarding whitespace characters

## Declaration

Source position: strutils.pp line 173

`function IsEmptyStr(`
`const S: string;`
`const EmptyChars: TSysCharSet`
`):Boolean;`

## Arguments

`S` |  | String to check
`EmptyChars` |  | Characters to consider as whitespace

## Function result

True if the string consists solely of empty characters.

## Description

IsEmptyStr returns True if the string S only contains characters whitespace characters, all characters in EmptyChars are considered whitespace characters. If a character not present in EmptyChars is found in S, False is returned.

## Errors

None.

## See also

IsWild |  | Check whether a string matches a wildcard search expression.
FindPart |  | Search for a substring in a string, using wildcards.
IsWordPresent |  | Check for the presence of a word in a string.